 %##########################################################################
%##########################################################################
%##########################################################################
%##################   BASIC PLOTS  ########################################
%##########################################################################
%##########################################################################
TT=[0,t0-1,t0,t0+1,t0+tw-1,t0+tw,t0+te];
TRR=[0,0,1.00001,1,1,0,0];
TT=TT/3600;
%##########################################################################
%##########################################################################
%##########################################################################
figure(1)
set(gcf,'Color',[1,1,1])
subplot(2,2,1);
plot(TT,TRR);
grid on;
title('[A],   TNF activity');
subplot(2,2,2);
plot(T,YYY(:,1));
grid on;
title('[B],   Neutral IKK, (IKKn)');
subplot(2,2,3);
plot(T,YYY(:,2));
grid on;
title('[C],   Active IKK, (IKKa)');
subplot(2,2,4);
plot(T,YYY(:,3));
grid on;
title('[D],   Inactive IKK, (IKKi)');
%##########################################################################
%##########################################################################
%##########################################################################
figure(11)
set(gcf,'Color',[1,1,1])
subplot(2,2,1);
plot(T,GG1);
grid on;
title('[A],  activity of A20 promoter, allele 1');
subplot(2,2,3);
plot(T,GG2);
grid on;
title('[D],  activity of A20 promoter, allele 2');
subplot(2,2,2);
plot(T,GG1a);
grid on;
title('[G],  activity of Ikba promoter, allele 1');
subplot(2,2,4);
plot(T,GG2a);
grid on;
title('[J],  activity of Ikba promoter, allele 2');
%##########################################################################
%##########################################################################
%##########################################################################
figure(2)
set(gcf,'Color',[1,1,1])
subplot(4,2,1);
plot(T,YYY(:,2));
grid on;
%set(gca,'xtick',[-10 -9 -8])
title('[A],   Active IKK, (IKKa)');
subplot(4,2,2);
plot(T,YYY(:,11)+YYY(:,14)+YYY(:,10)+YYY(:,13));
grid on;
title('[B],   Total IkBa');
subplot(4,2,3)
plot(T,YYY(:,7));
grid on;
title('[C],   Free nuclear NF-kB');
subplot(4,2,4);
plot(T,GG1a+GG2a);
grid on;
title('[D],    Activity of IkBa gene, both alleles ');
subplot(4,2,5);
plot(T,GG1+GG2);
grid on;
title('[E],    Activity of A20 gene,both alleles'); 
subplot(4,2,6);
plot(T,YYY(:,12));
grid on;
title('[F],   IkBa mRNA transcript');
subplot(4,2,7);
plot(T,YYY(:,9));
grid on;
title('[G],   A20 mRNA transcript');
xlabel('Time in hours');
subplot(4,2,8);
plot(T,YYY(:,8));
grid on;
title('[H],   A20 protein');
xlabel('Time in hours')